Bug 1894234 (CVE-2020-27757)

Summary: CVE-2020-27757 ImageMagick: outside the range of representable values of type 'unsigned long long' at MagickCore/quantum-private.h
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fedora, jhorak, mike, pahan, rhel8-maint, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ImageMagick 7.0.8-68 Doc Type: If docs needed, set a value
Doc Text:
A floating point math calculation in ScaleAnyToQuantum() of /MagickCore/quantum-private.h could lead to undefined behavior in the form of a value outside the range of type unsigned long long. The flaw could be triggered by a crafted input file under certain conditions when it is processed by ImageMagick.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-24 23:34:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1901259, 1901260, 1910549    
Bug Blocks: 1891602    

Description Guilherme de Almeida Suckevicz 2020-11-03 19:15:11 UTC
In ImageMagick, there is an outside the range of representable values of type 'unsigned long long' bug at MagickCore/quantum-private.h.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1712

Upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/e88532bd4418e95b70cbc415fe911d22ab27a5fd

Comment 1 Guilherme de Almeida Suckevicz 2020-11-03 19:15:13 UTC
Acknowledgments:

Name: Suhwan Song (Seoul National University)

Comment 2 Todd Cullum 2020-11-04 20:08:54 UTC
Flaw summary:

A floating point math calculation in ScaleAnyToQuantum() of /MagickCore/quantum-private.h could lead to undefined behavior in the form of a value outside the range of type unsigned long long. The flaw could be triggered by a crafted input file under certain conditions when it is processed by ImageMagick. Red Hat Product Security marked this as Low because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.

Comment 4 Guilherme de Almeida Suckevicz 2020-11-24 19:20:37 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1901259]
Affects: fedora-all [bug 1901260]

Comment 5 Product Security DevOps Team 2020-11-24 23:34:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27757

Comment 7 Eric Christensen 2021-02-15 20:45:50 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 5, 6, and 7. Inkscape is not affected because it no longer uses a bundled ImageMagick in Red Hat Enterprise Linux 8. For more information regarding support scopes, please see https://access.redhat.com/support/policy/updates/errata.

Red Hat Product Security marked this as Low because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.